// Importing required methods from d3
import { geoAlbers, geoPath, geoGraticule } from 'd3';

// geoAlbers() is used to draw the Albers equal-area conic projection.
const projection = geoAlbers();

// geoPath() generates an SVG path data string or renders the path to a Canvas. 
const path = geoPath(projection);

// geoGraticule() Constructs a feature generator for creating graticules
const graticule = geoGraticule();

export const CountryData = ({ data: { land, interiors } }) => (
  <g className="marks">
		<path className="sphere" d={path({ type: 'Sphere' })} /> 
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);