import React from 'react';
import ReactDOM from 'react-dom';
import { loadJson } from './loadJson';
import { CountryData } from './countryData';

const width = 1000;
const height = 600;

const App = () => {
  // loading data from loadjson.js file
  const data = loadJson();

    // if no data display loading text
  if (!data) {
    return <pre>Loading USA Map...</pre>;
  }

  // returns country data with loadjson parameter
  return (
    <svg width={width} height={height}>
      <CountryData data={data} />
    </svg>
  );
};

// returns element of root
const rootElement = document.getElementById('root');
// ReactDOM is a package that provides methods that can be used to interact with the root element
ReactDOM.render(<App />, rootElement);

