import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const url = 'https://cdn.jsdelivr.net/npm/us-atlas@3/states-10m.json';

// creating constance for loadjson from url
export const loadJson = () => {
  const [data, setData] = useState(null);

  // function to create effects on map
   useEffect(() => {
     // topology is relative positions of spatial feature
     json(url).then(topology => {
       // get states from topology
       const { states } = topology.objects;
       // set data for land, interiors
       setData({
         land: feature(topology, states),
         interiors: mesh(topology, states, (a, b) => a !== b)
       });
     });
   }, []);

  return data;
};